
TYPO3.Surf - Bug # 67325

Status: Resolved Priority: Should have
Author: Andreas Wolf Category:
Created: 2015-06-06 Assigned To:
Updated: 2015-06-16 Due date:
Subject: Changing repository URL breaks Git-based deployments
Description

When changing the URL in the deployment, the new URL is not used if the deployment has run before (i.e. if there is a transfer cache
directory on the target node already).

To fix this, we need to do a "git remote set-url" for origin before fetching new commits.

Associated revisions
Revision 3bef60b5 - 2015-06-12 20:41 - Andreas Wolf 

[BUGFIX] Changed deployment source URL not reflected in cache

Change-Id: Icb8c3d5fe65e7fc14444c275aaa882b1afad4d65
Resolves: #67325
Releases: master

History
#1 - 2015-06-12 20:41 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Surf has been pushed to the review server.
It is available at http://review.typo3.org/40216

#2 - 2015-06-16 13:19 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3bef60b545a5c92044297c1f9ea4f58c90c5c704.
